Get a proof for a transaction in a block. | Algorand Developer Portal
Get a proof for a transaction in a block.
GET
/v2/blocks/{round}/transactions/{txid}/proof
Authorizations
Parameters
Path Parameters
round
required
integer
A round number.
txid
required
string
/[A-Z0-9]+/
The transaction ID for which to generate a proof.
Query Parameters
hashtype
string
Allowed values: sha512_256 sha256
The type of hash function used to create the proof, must be one of:
- sha512_256
- sha256
format
string
Allowed values: json msgpack
Configures whether the response object is JSON or MessagePack encoded. If not provided, defaults to JSON.
Responses
200
Proof of transaction in a block.
Select media type application/json
Proof of transaction in a block.
object
hashtype
required
The type of hash function used to create the proof, must be one of:
- sha512_256
- sha256
string
Allowed values: sha512_256 sha256
idx
required
Index of the transaction in the block’s payset.
integer
proof
required
Proof of transaction membership.
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/
stibhash
required
Hash of SignedTxnInBlock for verifying proof.
string format: byte
/^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/
treedepth
required
Represents the depth of the tree that is being proven, i.e. the number of edges from a leaf to the root.
integer
400
Malformed round number or transaction ID
Select media type application/json
An error response with optional data field.
object
data
object
message
required
string
401
Invalid API token
Select media type application/json
An error response with optional data field.
object
data
object
message
required
string
404
Non-existent block or transaction
Select media type application/json
An error response with optional data field.
object
data
object
message
required
string
500
Internal error, including protocol not supporting proofs.
Select media type application/json
An error response with optional data field.
object
data
object
message
required
string
default
Unknown error